> For the complete documentation index, see [llms.txt](https://docs.innopaas.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/webhook/number-quality-status.md).

# Number Quality Status

This event is triggered when the quality status of the submitted sender changes: whatsapp\_phone\_number\_quality\_update

| Field              | Data type | Required | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| ------------------ | --------- | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| wabaId             | String    | Yes      | WabaId                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| displayPhoneNumber | String    | Yes      | sender number                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| <p>event<br></p>   | String    | Yes      | Message delivery limit change or throughput change event**DOWNGRADE**: indicates that the messaging limit for this business phone number has been reduced.**FLAGGED**: indicates that if this business phone number continues to receive negative feedback, its messaging quality will decline.**ONBOARDING**: indicates that this business phone number is still in registration.**THROUGHPUT\_UPGRADE**: indicates that the throughput level for this business phone number has been increased to a higher throughput.**UNFLAGGED**: indicates that if this business phone number continues to receive positive feedback, it is eligible for an increase in messaging limits.**UPGRADE**: indicates that the messaging limit for the business phone number has increased. |
| messageLimit       | String    | Yes      | Optional values:  **Unlimited**: that is, issued with no sending limit  **0**: indicates that this business phone number has not yet been used to send messages.  **50**: indicates a message limit of 50  **250**: indicates a message limit of 250  **1000**: indicates a message limit of 1,000  **10000**: indicates a message limit of 10,000  **100000**: indicates a message limit of 100,000                                                                                                                                                                                                                                                                                                                                                                        |

<pre class="language-json"><code class="lang-json">{
    "id": "fd201190-50dc-4151-baec-1d16c8a704e1",
    "type": "whatsapp_phone_number_quality_update",
    "eventTime": "2023-10-16T13:04:57.644Z",
    "body": {
<strong>        "messageLimit": "100000",
</strong><strong>        "event": "UPGRADE",
</strong>        "displayPhoneNumber": "1086***36726376",
        "wabaId": "1101295***80569"
    }
}
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.innopaas.com/api-reference/api-reference-en/whatsapp-business-api/webhook/number-quality-status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
